Jump to content
Latest News: (loading..)
gilthunder

How Do I Edit "Contact Information" Page?

Recommended Posts

I just took over an OSCommerce site. I am new to OSCommerce. I need to update the store hours on the "Contact Information" page in the OSCommerce store. But I cannot for the life of me figure out how to access the original content in order to update the hours! The website is http://cowcatcher.us/store/catalog/index.php. Can anyone tell me where to go inside the store settings to update the "Contact Information" page? Thanks SO MUCH in advance for your assistance!

Share this post


Link to post
Share on other sites

gilthunder

As Dan said, you will need to download  /catalog(your shop name on the server)/includes/languages/english/conditions.php from your server, locate the text and change it with a text editor ( eg Notepad ), then upload it to the same folder again. Any change is immediate so you can just check your contact page online to confirm it is the way you want it.

There isn't a built-in content editor in Oscommerce, so editing the php files is usually the only way. Filezilla (https://filezilla-project.org/) is a good, free FTP client for down/uploading files on your server... (also helpful for regular backups)...

If your web hosting has access via cPanel, you can readily access and modify the files there, and Filezilla won't be needed.

Hope this helps as well

cheers, Wal

Share this post


Link to post
Share on other sites

1. Keep a copy of your site on your PC, as backup (if nothing else)

2. Learn to use text-searching tools such as grep (Linux) and findstr (Windows) to search for strings in all your files. They will tell you which file(s) a string is found in.


If you are running the "official" osC 2.3.4 or 2.3.4.1 download, your installation is obsolete! Get the latest community-supported responsive "Edge" release

Share this post


Link to post
Share on other sites

@gilthunder

It looks like you are building a new store. If so, I strongly recommend that you start over (I know, I know), and use the community supported Edge version of osCommerce (link in my signature below).

The 'official' 2.3.4.1 version is several years old. On the other hand, Edge is up-to-date, is responsive (it will adjust the layout to match the screen size of your customers. Very important with so many people using mobile devices!), much more modular (you can turn on or off feature, or even add new features, without editing the core code), and is PHP 7 ready.

I'd hate to see you put in all of this work, and have your store crash soon when your host upgrades their version of PHP, as well as not supporting all of your mobile device customers.

Malcolm


If you are running the "official" osC 2.3.4 or 2.3.4.1 download, your installation is obsolete! Get the latest community-supported responsive "Edge" release here

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×